
QGIS Application - Feature request #3227

Load PostGIS layer only for current canvas extent

2010-11-18 04:55 AM - Ivan Mincik

Status: Open

Priority: Low

Assignee:

Category: Vectors

Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 13287

Description

It would be nice to add spatial query to 'Add [[PostGIS]] Table Build query' dialog to limit loading layer features only to features

intersected/contained by current map canvas extent (or possibly also extent of some other already loaded layer).

This feature is very useful when You have huge table and You want to work only with its small part. In case of huge table it will speed up

dramatically loading time and You can profit also from some other benefits.

Currently I am doing this by using [[CopyPasta]] plugin > Map Extent SQL and placing it to 'Build query' dialog. This will limit loaded layer

to my custom extent.

Thanks a lot

Related issues:

Duplicated by QGIS Application - Feature request # 4006: Filter (on load) Pos... Closed 2011-06-20

History

#1 - 2011-12-16 01:55 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#2 - 2012-03-02 04:34 AM - Giovanni Manghi

- Pull Request or Patch supplied set to No

see also #4006

#3 - 2012-04-15 10:10 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

#4 - 2012-10-06 02:34 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#5 - 2017-05-01 12:50 AM - Giovanni Manghi

- Easy fix? set to No

#6 - 2017-09-08 01:35 PM - Jürgen Fischer

- Assignee deleted (Jürgen Fischer)
